﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace kursach_2._0.Windows
{
    /// <summary>
    /// Логика взаимодействия для Handbooks.xaml
    /// </summary>
    public partial class Handbooks : Window
    {
        private dealerContext _context;
        public Handbooks()
        {
            InitializeComponent();
            _context = new dealerContext();
            Load();
        }

        // вывод данных
        private void Load()
        {
            productsDG.ItemsSource = _context.products.ToList();
            distributorDG.ItemsSource = _context.distributors.ToList();
            employeesDG.ItemsSource = _context.employees.ToList();
        }

        private void HomeClick(object sender, MouseButtonEventArgs e)
        {
            Windows.Menu menu = new Windows.Menu();
            menu.Show();
            Close();
        }
    }
}
